Index: fittingview/src/sans/perspectives/fitting/basepage.py
===================================================================
--- fittingview/src/sans/perspectives/fitting/basepage.py	(revision f992a06e61976845619bed3fe4df39c8886b2432)
+++ fittingview/src/sans/perspectives/fitting/basepage.py	(revision ef26c8354b6185342ee4ec2f74e2fe34c632c808)
@@ -2417,28 +2384,26 @@
                         except:
                             msg = "Wrong Fit parameter range entered "
-                            wx.PostEvent(self.parent.parent, 
-                                         StatusEvent(status = msg))
+                            wx.PostEvent(self.parent.parent,
+                                         StatusEvent(status=msg))
                             raise ValueError, msg
                         is_modified = True
                 
-
-                if param_min != None and param_max !=None:
+                if param_min != None and param_max != None:
                     if not self._validate_qrange(item[5], item[6]):
-                        msg= "Wrong Fit range entered for parameter "
-                        msg+= "name %s of model %s "%(name, self.model.name)
-                        wx.PostEvent(self.parent.parent, 
-                                     StatusEvent(status = msg))
+                        msg = "Wrong Fit range entered for parameter "
+                        msg += "name %s of model %s " % (name, self.model.name)
+                        wx.PostEvent(self.parent.parent,
+                                     StatusEvent(status=msg))
                 
-                if name in self.model.details.keys():   
+                if name in self.model.details.keys():
                         self.model.details[name][1:3] = param_min, param_max
                         is_modified = True
-              
                 else:
-                        self.model.details [name] = ["", param_min, param_max] 
+                        self.model.details[name] = ["", param_min, param_max]
                         is_modified = True
-            try:   
+            try:
                 # Check if the textctr is enabled
                 if item[2].IsEnabled():
-                    value= float(item[2].GetValue())
+                    value = float(item[2].GetValue())
                     item[2].SetBackgroundColour("white")
                     # If the value of the parameter has changed,
@@ -2447,35 +2412,31 @@
                                                 numpy.isfinite(value):
                         self.model.setParam(name, value)
-                        
             except:
                 item[2].SetBackgroundColour("pink")
                 msg = "Wrong Fit parameter value entered "
-                wx.PostEvent(self.parent.parent, StatusEvent(status = msg))
+                wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
                 
-        return is_modified 
-        
- 
+        return is_modified
+        
     def _set_dipers_Param(self, event):
         """
         respond to self.enable_disp and self.disable_disp radio box.
-        The dispersity object is reset inside the model into Gaussian. 
-        When the user select yes , this method display a combo box for more selection
-        when the user selects No,the combo box disappears.
+        The dispersity object is reset inside the model into Gaussian.
+        When the user select yes , this method display a combo box for
+        more selection when the user selects No,the combo box disappears.
         Redraw the model with the default dispersity (Gaussian)
         """
-        #if self.check_invalid_panel():
-        #    return 
         ## On selction if no model exists.
-        if self.model ==None:
+        if self.model == None:
             self.disable_disp.SetValue(True)
-            msg="Please select a Model first..."
+            msg = "Please select a Model first..."
             wx.MessageBox(msg, 'Info')
-            wx.PostEvent(self._manager.parent, StatusEvent(status=\
-                            "Polydispersion: %s"%msg))
+            wx.PostEvent(self._manager.parent,
+                         StatusEvent(status="Polydispersion: %s" % msg))
             return
 
         self._reset_dispersity()
     
-        if self.model ==None:
+        if self.model == None:
             self.model_disp.Hide()
             self.sizer4_4.Clear(True)
@@ -2485,19 +2446,18 @@
             ## layout for model containing no dispersity parameters
             
-            self.disp_list= self.model.getDispParamList()
+            self.disp_list = self.model.getDispParamList()
              
-            if len(self.disp_list)==0 and len(self.disp_cb_dict)==0:
-                self._layout_sizer_noDipers()  
+            if len(self.disp_list) == 0 and len(self.disp_cb_dict) == 0:
+                self._layout_sizer_noDipers()
             else:
-                ## set gaussian sizer 
+                ## set gaussian sizer
                 self._on_select_Disp(event=None)
         else:
             self.sizer4_4.Clear(True)
             
-        ## post state to fit panel 
+        ## post state to fit panel
         self.save_current_state()
-        if event !=None:
-            #self._undo.Enable(True)
-            event = PageInfoEvent(page = self)
+        if event != None:
+            event = PageInfoEvent(page=self)
             wx.PostEvent(self.parent, event)
         #draw the model with the current dispersity
@@ -2506,23 +2466,21 @@
         self.sizer5.Layout()
         self.Layout()
-        self.Refresh()      
+        self.Refresh()
           
-        
     def _layout_sizer_noDipers(self):
         """
         Draw a sizer with no dispersity info
         """
-        ix=0
-        iy=1
-        self.fittable_param=[]
-        self.fixed_param=[]
-        self.orientation_params_disp=[]
+        ix = 0
+        iy = 1
+        self.fittable_param = []
+        self.fixed_param = []
+        self.orientation_params_disp = []
         
         self.sizer4_4.Clear(True)
         text = "No polydispersity available for this model"
-        text = "No polydispersity available for this model"
         model_disp = wx.StaticText(self, -1, text)
-        self.sizer4_4.Add(model_disp,( iy, ix),(1,1),  
-                            wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 10)
+        self.sizer4_4.Add(model_disp, (iy, ix), (1, 1),
+                          wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 10)
         self.sizer4_4.Layout()
         self.sizer4.Layout()
@@ -2532,5 +2490,5 @@
         put gaussian dispersity into current model
         """
-        if len(self.param_toFit)>0:
+        if len(self.param_toFit) > 0:
             for item in self.fittable_param:
                 if item in self.param_toFit:
@@ -2541,26 +2499,27 @@
                     self.param_toFit.remove(item)
          
-        self.fittable_param=[]
-        self.fixed_param=[]
-        self.orientation_params_disp=[]
-        self.values={}
-        self.weights={}
+        self.fittable_param = []
+        self.fixed_param = []
+        self.orientation_params_disp = []
+        self.values = {}
+        self.weights = {}
       
-        from sans.models.dispersion_models import GaussianDispersion, ArrayDispersion
-        if len(self.disp_cb_dict)==0:
+        from sans.models.dispersion_models import GaussianDispersion
+        if len(self.disp_cb_dict) == 0:
             self.save_current_state()
             self.sizer4_4.Clear(True)
             self.Layout()
- 
-            return 
-        if (len(self.disp_cb_dict)>0) :
+            return
+        if (len(self.disp_cb_dict) > 0):
             for p in self.disp_cb_dict:
-                # The parameter was un-selected. Go back to Gaussian model (with 0 pts)                    
+                # The parameter was un-selected.
+                # Go back to Gaussian model (with 0 pts)
                 disp_model = GaussianDispersion()
                
                 self._disp_obj_dict[p] = disp_model
-                # Set the new model as the dispersion object for the selected parameter
+                # Set the new model as the dispersion object
+                # for the selected parameter
                 try:
-                   self.model.set_dispersion(p, disp_model)
+                    self.model.set_dispersion(p, disp_model)
                 except:
 
@@ -2569,8 +2528,8 @@
         ## save state into
         self.save_current_state()
-        self.Layout()  
+        self.Layout()
         self.Refresh()
                   
-    def _on_select_Disp(self,event):
+    def _on_select_Disp(self, event):
         """
         allow selecting different dispersion
@@ -2580,7 +2539,7 @@
 
         ## Redraw the model
-        self._draw_model() 
+        self._draw_model()
         #self._undo.Enable(True)
-        event = PageInfoEvent(page = self)
+        event = PageInfoEvent(page=self)
         wx.PostEvent(self.parent, event)
         
@@ -2589,9 +2548,9 @@
         self.SetupScrolling()
     
-    def _on_disp_func(self, event=None): 
+    def _on_disp_func(self, event=None):
         """
         Select a distribution function for the polydispersion
         
-        :Param event: ComboBox event 
+        :Param event: ComboBox event
         """
         # get ready for new event
@@ -2599,13 +2558,13 @@
             event.Skip()
         # Get event object
-        disp_box =  event.GetEventObject() 
+        disp_box = event.GetEventObject()
 
         # Try to select a Distr. function
-        try:   
+        try:
             disp_box.SetBackgroundColour("white")
             selection = disp_box.GetCurrentSelection()
             param_name = disp_box.Name.split('.')[0]
             disp_name = disp_box.GetValue()
-            dispersity= disp_box.GetClientData(selection)
+            dispersity = disp_box.GetClientData(selection)
     
             #disp_model =  GaussianDispersion()
@@ -2617,6 +2576,6 @@
             # Check Disp. function whether or not it is 'array'
             if disp_name.lower() == "array":
-                value2= ""
-                value3= ""
+                value2 = ""
+                value3 = ""
                 value1 = self._set_array_disp(name=name1, disp=disp_model)
             else:
@@ -2625,13 +2584,13 @@
                 self._disp_obj_dict[name1] = disp_model
                 self.model.set_dispersion(param_name, disp_model)
-                self.state._disp_obj_dict[name1]= disp_model
+                self.state._disp_obj_dict[name1] = disp_model
  
-                value1= str(format_number(self.model.getParam(name1), True))
-                value2= str(format_number(self.model.getParam(name2)))
-                value3= str(format_number(self.model.getParam(name3)))
+                value1 = str(format_number(self.model.getParam(name1), True))
+                value2 = str(format_number(self.model.getParam(name2)))
+                value3 = str(format_number(self.model.getParam(name3)))
             # Reset fittable polydispersin parameter value
             for item in self.fittable_param:
-                 if item[1] == name1:
-                    item[2].SetValue(value1) 
+                if item[1] == name1:
+                    item[2].SetValue(value1)
                     item[5].SetValue("")
                     item[6].SetValue("")
@@ -2649,5 +2608,5 @@
                         item[2].Enable()
                         item[5].Enable()
-                        item[6].Enable()                       
+                        item[6].Enable()
                     break
             # Reset fixed polydispersion params
@@ -2661,5 +2620,5 @@
                         item[2].Enable()
                 if item[1] == name3:
-                    item[2].SetValue(value3) 
+                    item[2].SetValue(value3)
                     # Disable Nsigs for array
                     if disp_name.lower() == "array":
@@ -2674,5 +2633,5 @@
 
             # update params
-            self._update_paramv_on_fit() 
+            self._update_paramv_on_fit()
             # draw
             self._draw_model()
@@ -2686,7 +2645,6 @@
             # Focus on Fit button so that users can see the pinky box
             self.btFit.SetFocus()
-            wx.PostEvent(self.parent.parent, 
+            wx.PostEvent(self.parent.parent,
                          StatusEvent(status=msg, info="error"))
-        
         
     def _set_array_disp(self, name=None, disp=None):
@@ -2697,5 +2655,5 @@
         :param disp: the polydisperion object
         """
-        # The user wants this parameter to be averaged. 
+        # The user wants this parameter to be averaged.
         # Pop up the file selection dialog.
         path = self._selectDlg()
@@ -2713,10 +2671,10 @@
                              self._default_save_location
 
-        basename  = os.path.basename(path)
-        values,weights = self.read_file(path)
+        basename = os.path.basename(path)
+        values, weights = self.read_file(path)
         
         # If any of the two arrays is empty, notify the user that we won't
         # proceed
-        if len(self.param_toFit)>0:
+        if len(self.param_toFit) > 0:
             if name in self.param_toFit:
                 self.param_toFit.remove(name)
@@ -2724,10 +2682,10 @@
         # Tell the user that we are about to apply the distribution
         msg = "Applying loaded %s distribution: %s" % (name, path)
-        wx.PostEvent(self.parent.parent, StatusEvent(status=msg))  
+        wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
         self._set_array_disp_model(name=name, disp=disp,
                                     values=values, weights=weights)
         return basename
     
-    def _set_array_disp_model(self, name=None, disp=None, 
+    def _set_array_disp_model(self, name=None, disp=None,
                               values=[], weights=[]):
         """
@@ -2740,5 +2698,5 @@
         self._disp_obj_dict[name] = disp
         self.model.set_dispersion(name.split('.')[0], disp)
-        self.state._disp_obj_dict[name]= disp
+        self.state._disp_obj_dict[name] = disp
         self.values[name] = values
         self.weights[name] = weights
@@ -2751,23 +2709,22 @@
         self.state.weights = copy.deepcopy(self.weights)
 
-        # Set the new model as the dispersion object for the 
+        # Set the new model as the dispersion object for the
         #selected parameter
         #self.model.set_dispersion(p, disp_model)
-        # Store a reference to the weights in the model object 
+        # Store a reference to the weights in the model object
         #so that
         # it's not lost when we use the model within another thread.
         #TODO: total hack - fix this
-        self.state.model= self.model.clone()
+        self.state.model = self.model.clone()
         self.model._persistency_dict[name.split('.')[0]] = \
                                         [values, weights]
         self.state.model._persistency_dict[name.split('.')[0]] = \
-                                        [values,weights]
+                                        [values, weights]
                                         
-
-    def _del_array_values(self, name=None):  
+    def _del_array_values(self, name=None):
         """
         Reset array dispersion
         
-        :param name: name of the parameter for the dispersion to be set 
+        :param name: name of the parameter for the dispersion to be set
         """
         # Try to delete values and weight of the names array dic if exists
@@ -2778,5 +2735,5 @@
             del self.state.values[name]
             del self.state.weights[name]
-            del self.model._persistency_dict[name.split('.')[0]] 
+            del self.model._persistency_dict[name.split('.')[0]]
             del self.state.model._persistency_dict[name.split('.')[0]]
         except:
@@ -2792,24 +2749,25 @@
         self._sleep4sec()
         self.Layout()
-        return 
+        return
     
     def _sleep4sec(self):
         """
             sleep for 1 sec only applied on Mac
-            Note: This 1sec helps for Mac not to crash on self.:ayout after self._draw_model
+            Note: This 1sec helps for Mac not to crash on self.
+            Layout after self._draw_model
         """
         if ON_MAC == True:
             time.sleep(1)
             
-    def _find_polyfunc_selection(self, disp_func = None):
-        """
-        FInd Comboox selection from disp_func 
+    def _find_polyfunc_selection(self, disp_func=None):
+        """
+        FInd Comboox selection from disp_func
         
         :param disp_function: dispersion distr. function
         """
         # List of the poly_model name in the combobox
-        list = ["RectangleDispersion", "ArrayDispersion", 
-                    "LogNormalDispersion", "GaussianDispersion", 
-                    "SchulzDispersion"]
+        list = ["RectangleDispersion", "ArrayDispersion",
+                "LogNormalDispersion", "GaussianDispersion",
+                "SchulzDispersion"]
 
         # Find the selection
@@ -2818,16 +2776,14 @@
             return selection
         except:
-             return 3
+            return 3
                             
-    def on_reset_clicked(self,event):
+    def on_reset_clicked(self, event):
         """
         On 'Reset' button  for Q range clicked
         """
         flag = True
-        #if self.check_invalid_panel():
-        #    return
         ##For 3 different cases: Data2D, Data1D, and theory
         if self.model == None:
-            msg="Please select a model first..."
+            msg = "Please select a model first..."
             wx.MessageBox(msg, 'Info')
             flag = False
@@ -2835,7 +2791,7 @@
             
         elif self.data.__class__.__name__ == "Data2D":
-            data_min= 0
-            x= max(math.fabs(self.data.xmin), math.fabs(self.data.xmax)) 
-            y= max(math.fabs(self.data.ymin), math.fabs(self.data.ymax))
+            data_min = 0
+            x = max(math.fabs(self.data.xmin), math.fabs(self.data.xmax))
+            y = max(math.fabs(self.data.ymin), math.fabs(self.data.ymax))
             self.qmin_x = data_min
             self.qmax_x = math.sqrt(x*x + y*y)
@@ -2843,6 +2799,6 @@
             # check smearing
             if not self.disable_smearer.GetValue():
-                temp_smearer= self.current_smearer
-                ## set smearing value whether or not the data contain the smearing info
+                ## set smearing value whether or
+                # not the data contain the smearing info
                 if self.pinhole_smearer.GetValue():
                     flag = self.update_pinhole_smear()
@@ -2853,5 +2809,5 @@
             self.qmin_x = _QMIN_DEFAULT
             self.qmax_x = _QMAX_DEFAULT
-            self.num_points = _NPTS_DEFAULT            
+            self.num_points = _NPTS_DEFAULT
             self.state.npts = self.num_points
             
@@ -2861,6 +2817,6 @@
             # check smearing
             if not self.disable_smearer.GetValue():
-                temp_smearer= self.current_smearer
-                ## set smearing value whether or not the data contain the smearing info
+                ## set smearing value whether or
+                # not the data contain the smearing info
                 if self.slit_smearer.GetValue():
                     flag = self.update_slit_smear()
@@ -2873,6 +2829,6 @@
             
         if flag == False:
-            msg= "Cannot Plot :Must enter a number!!!  "
-            wx.PostEvent(self.parent.parent, StatusEvent(status = msg ))
+            msg = "Cannot Plot :Must enter a number!!!  "
+            wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
         else:
             # set relative text ctrs.
@@ -2880,6 +2836,7 @@
             self.qmax.SetValue(str(self.qmax_x))
             self.set_npts2fit()
-            # At this point, some button and variables satatus (disabled?) should be checked 
-            # such as color that should be reset to white in case that it was pink.
+            # At this point, some button and variables satatus (disabled?)
+            # should be checked such as color that should be reset to
+            # white in case that it was pink.
             self._onparamEnter_helper()
 
@@ -2890,6 +2847,4 @@
         #reset the q range values
         self._reset_plotting_range(self.state)
-        #self.compute_chisqr(smearer=self.current_smearer)
-        #Re draw plot
         self._draw_model()
         
@@ -2908,27 +2863,20 @@
         # loops through the panels [dic]
         for item1, item2 in gui_manager.plot_panels.iteritems():
-             data_title = self.data.group_id
-             data_name = str(self.data.name).split(" [")[0]
+            data_title = self.data.group_id
             # try to get all plots belonging to this control panel
-             try:
-                 title = ''
-                 # check titles (main plot) 
-                 if hasattr(item2,"data2D"):
-                     title = item2.data2D.title
-                 # and data_names (model plot[2D], and residuals)
-                 if item2.group_id == data_title or \
+            try:
+                if item2.group_id == data_title or \
                         item2.group_id.count("res" + str(self.graph_id)) or \
                         item2.group_id.count(str(self.uid)) > 0:
-                     #panel = gui_manager._mgr.GetPane(item2.window_name)
-                     # append to the list
-                     graphs.append(item2.figure) 
-                     canvases.append(item2.canvas)     
-             except:
-                 # Not for control panels
-                 pass
+                    # append to the list
+                    graphs.append(item2.figure)
+                    canvases.append(item2.canvas)
+            except:
+                # Not for control panels
+                pass
         # return the list of graphs
         return graphs, canvases
 
-    def on_model_help_clicked(self,event):
+    def on_model_help_clicked(self, event):
         """
         on 'More details' button
@@ -2939,28 +2887,25 @@
         # Get models help model_function path
         path = get_data_path(media='media')
-        model_path = os.path.join(path,"model_functions.html")
+        model_path = os.path.join(path, "model_functions.html")
         if self.model == None:
             name = 'FuncHelp'
         else:
             name = self.formfactorbox.GetValue()
-            #name = self.model.__class__.__name__
-        frame = HelpWindow(None, -1,  pageToOpen=model_path)    
+        frame = HelpWindow(None, -1, pageToOpen=model_path)
         if frame.rhelp.HasAnchor(name):
             frame.Show(True)
             frame.rhelp.ScrollToAnchor(name)
         else:
-           #msg= "Sorry, no information is available for this model"
-           #wx.PostEvent(self.parent.parent, StatusEvent(status = msg ))  
-           if self.model != None:
-               frame.Destroy() 
-               msg = 'Model description:\n'
-               if str(self.model.description).rstrip().lstrip() == '':
-                   msg += "Sorry, no information is available for this model.\n"
-               else:
-                   msg += self.model.description + '\n'
-               info = "Info"
-               wx.MessageBox(msg, info)
-           else:
-               frame.Show(True)   
+            if self.model != None:
+                frame.Destroy()
+                msg = 'Model description:\n'
+                if str(self.model.description).rstrip().lstrip() == '':
+                    msg += "Sorry, no information is available for this model."
+                else:
+                    msg += self.model.description + '\n'
+                info = "Info"
+                wx.MessageBox(msg, info)
+            else:
+                frame.Show(True)
     
     def on_pd_help_clicked(self, event):
@@ -2969,11 +2914,11 @@
         """
         from help_panel import  HelpWindow
-        import sans.models as models 
+        import sans.models as models
         
         # Get models help model_function path
         path = models.get_data_path(media='media')
-        pd_path = os.path.join(path,"pd_help.html")
-
-        frame = HelpWindow(None, -1,  pageToOpen=pd_path)    
+        pd_path = os.path.join(path, "pd_help.html")
+
+        frame = HelpWindow(None, -1, pageToOpen=pd_path)
         frame.Show(True)
         
@@ -2997,34 +2942,34 @@
         Get copy params to clipboard
         """
-        content = self.get_copy_params() 
+        content = self.get_copy_params()
         flag = self.set_clipboard(content)
-        self._copy_info(flag) 
-        return flag 
-            
-    def get_copy_params(self): 
+        self._copy_info(flag)
+        return flag
+            
+    def get_copy_params(self):
         """
         Get the string copies of the param names and values in the tap
-        """  
+        """
         content = 'sansview_parameter_values:'
-        # Do it if params exist        
-        if  self.parameters !=[]:
-            
-            # go through the parameters 
-            string = self._get_copy_helper(self.parameters, 
+        # Do it if params exist
+        if  self.parameters != []:
+            
+            # go through the parameters
+            string = self._get_copy_helper(self.parameters,
                                            self.orientation_params)
             content += string
             
             # go through the fittables
-            string = self._get_copy_helper(self.fittable_param, 
+            string = self._get_copy_helper(self.fittable_param,
                                            self.orientation_params_disp)
             content += string
 
             # go through the fixed params
-            string = self._get_copy_helper(self.fixed_param, 
+            string = self._get_copy_helper(self.fixed_param,
                                            self.orientation_params_disp)
             content += string
                 
             # go through the str params
-            string = self._get_copy_helper(self.str_parameters, 
+            string = self._get_copy_helper(self.str_parameters,
                                            self.orientation_params)
             content += string
@@ -3033,8 +2978,8 @@
             return False
     
-    def set_clipboard(self, content=None): 
+    def set_clipboard(self, content=None):
         """
         Put the string to the clipboard
-        """   
+        """
         if not content:
             return False
@@ -3055,5 +3000,5 @@
         content = ''
         # go through the str params
-        for item in param: 
+        for item in param:
             # copy only the params shown
             if not item[2].IsShown():
@@ -3100,15 +3045,14 @@
             except:
                 pass
-            #if disfunc.count('array') == 0:
-            content +=  name + ',' + str(check) + ',' + value + disfunc + ':'
+            content += name + ',' + str(check) + ',' + value + disfunc + ':'
 
         return content
    
-    def get_clipboard(self):   
+    def get_clipboard(self):
         """
         Get strings in the clipboard
         """
-        text = ""  
-        # Get text from the clip board        
+        text = ""
+        # Get text from the clip board
         if wx.TheClipboard.Open():
             if wx.TheClipboard.IsSupported(wx.DataFormat(wx.DF_TEXT)):
@@ -3131,10 +3075,10 @@
         return flag
         
-    def get_paste_params(self, text=''): 
+    def get_paste_params(self, text=''):
         """
         Get the string copies of the param names and values in the tap
-        """  
-        context = {}    
-        # put the text into dictionary    
+        """
+        context = {}
+        # put the text into dictionary
         lines = text.split(':')
         if lines[0] != 'sansview_parameter_values':
@@ -3154,5 +3098,5 @@
                 context[name].append(poly_func)
                 try:
-                    # take the vals and weights for  array 
+                    # take the vals and weights for  array
                     array_values = item[4].split(' ')
                     array_weights = item[5].split(' ')
@@ -3168,21 +3112,21 @@
                 context[name].append(poly_func)
 
-        # Do it if params exist        
+        # Do it if params exist
         if  self.parameters != []:
-            # go through the parameters  
-            self._get_paste_helper(self.parameters, 
+            # go through the parameters
+            self._get_paste_helper(self.parameters,
                                    self.orientation_params, context)
 
             # go through the fittables
-            self._get_paste_helper(self.fittable_param, 
-                                   self.orientation_params_disp, 
+            self._get_paste_helper(self.fittable_param,
+                                   self.orientation_params_disp,
                                    context)
 
             # go through the fixed params
-            self._get_paste_helper(self.fixed_param, 
+            self._get_paste_helper(self.fixed_param,
                                    self.orientation_params_disp, context)
             
             # go through the str params
-            self._get_paste_helper(self.str_parameters, 
+            self._get_paste_helper(self.str_parameters,
                                    self.orientation_params, context)
                 
@@ -3196,8 +3140,8 @@
         : param param:  parameters
         : param orient_param: oritational params
-        : param content: dictionary [ name, value: name1.value1,...] 
+        : param content: dictionary [ name, value: name1.value1,...]
         """
         # go through the str params
-        for item in param: 
+        for item in param:
             # 2D
             if self.data.__class__.__name__ == "Data2D":
@@ -3218,5 +3162,5 @@
                         item[2].Enable(False)
                     if item[2].__class__.__name__ == "ComboBox":
-                        if self.model.fun_list.has_key(content[name][1]):
+                        if content[name][1] in self.model.fun_list:
                             fun_val = self.model.fun_list[content[name][1]]
                             self.model.setParam(name, fun_val)
@@ -3239,5 +3183,5 @@
                     if name in content.keys():
                         check = content[name][0]
-                        # Avoid changing combox content which needs special care
+                        # Avoid changing combox content
                         value = content[name][1:]
                         pd = value[0]
@@ -3254,10 +3198,8 @@
                             item[2].Enable(False)
                         if item[2].__class__.__name__ == "ComboBox":
-                            if self.model.fun_list.has_key(value[0]):
+                            if value[0] in self.model.fun_list:
                                 fun_val = self.model.fun_list[value[0]]
                                 self.model.setParam(name, fun_val)
                                 # save state
-                                #self._copy_parameters_state(self.str_parameters, 
-                                #    self.state.str_parameters)
                         self._paste_poly_help(item, value)
                         if check == 'True':
